#
#       Makefile for ctrlib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ctrlib
LIBFSRCS	= ct2cp.f ct2pc.f ct3cs.f ct3sc.f cr2c.f  cr3c.f \
		  cr3s.f  ct2bc.f ct2hc.f ct2ec.f ct2ch.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= ct2cp.o ct2pc.o ct3cs.o ct3sc.o cr2c.o  cr3c.o  \
		  cr3s.o  ct2bc.o ct2hc.o ct2ec.o ct2ch.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

